package com.diagbot.client;

import com.diagbot.client.bean.GdbResponse;
import com.diagbot.client.bean.Response;
import com.diagbot.client.bean.ResponseData;
import com.diagbot.client.hystrix.AIServiceHystrix;
import com.diagbot.vo.SearchVo;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.Map;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2018/11/20 13:15
 */
@FeignClient(name = "AI", url = "${ai.server.address}", fallback = AIServiceHystrix.class)
public interface AIServiceClient {
    @PostMapping(value = "/push-web/algorithm/neural")
    Response<ResponseData> bayesPageData(@RequestBody SearchVo searchVo);

    @PostMapping(value = "/push-web/graph/scale")
    Map<String, Object> scale(@RequestBody SearchVo searchVo);

    @PostMapping(value = "/push-web/graph/highRisk")
    Response<GdbResponse> highRiskPageData(@RequestBody SearchVo searchVo);
}