package com.diagbot.facade;

import com.diagbot.client.NLPServiceClient;
import com.diagbot.client.bean.Response;
import com.diagbot.exception.CommonErrorCode;
import com.diagbot.exception.CommonException;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Map;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2019/4/2 15:37
 */
@Component
public class NLPFacade {
    @Autowired
    private NLPServiceClient nlpServiceClient;

    /**
     * 症状特征词提取
     *
     * @param text
     * @return
     */
    public List<Map<String, Object>> symptomFeaturePageData(String text) {
        Response<List<Map<String, Object>>> response = nlpServiceClient.symptomFeaturePageData(text);
        if (response == null || response.getData() == null) {
            throw new CommonException(CommonErrorCode.SERVER_IS_ERROR, "NLP没有返回结果");
        }
        return response.getData();
    }
}
