package com.diagbot.web;

import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.RespDTO;
import com.diagbot.facade.NLPFacade;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;
import java.util.Map;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2019/4/2 11:31
 */
@RestController
@RequestMapping("/nlpService")
@Api(value = "NLP相关API", tags = { "NLP相关API" })
public class NLPController {
    @Autowired
    NLPFacade nlpFacade;

    @ApiOperation(value = "症状特征词提取", notes = "")
    @PostMapping("/symptomFeature")
    @SysLogger("symptomFeature")
    public RespDTO<List<Map<String, Object>>> symptomFeaturePageData(@RequestParam("text") String text) {
        List<Map<String, Object>> data = nlpFacade.symptomFeaturePageData(text);
        return RespDTO.onSuc(data);
    }
}
