package com.diagbot.client;

import com.diagbot.client.bean.GdbResponse;
import com.diagbot.client.bean.Response;
import com.diagbot.client.bean.ResponseData;
import com.diagbot.client.bean.SearchData;
import com.diagbot.client.hystrix.AiptServiceHystrix;
import com.diagbot.dto.RespDTO;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;
import java.util.Map;

/**
 * @Description:调用中间层服务
 * @Author: Mark Huang
 * @time: 2019/03/25 19:15
 */
@FeignClient(value = "aipt-service", fallback = AiptServiceHystrix.class)
public interface AiptServiceClient {
    @PostMapping(value = "/clinicaldata/processData")
    Response<ResponseData> aiptData(@RequestBody SearchData searchData);

    @PostMapping(value = "/clinicaldata/scale")
    Response<Map<String, Object>> scale(@RequestBody SearchData searchData);

    @PostMapping(value = "/nlpService/symptomFeature")
    Response<List<Map<String, Object>>> symptomFeaturePageData(@RequestParam("text") String text);

    @PostMapping("/clinicaldata/highRish")
    Response<GdbResponse> highRisk(@RequestBody SearchData searchData);
}
