package com.diagbot.client.hystrix;

import com.diagbot.client.AiptServiceClient;
import com.diagbot.client.bean.GdbResponse;
import com.diagbot.client.bean.Response;
import com.diagbot.client.bean.ResponseData;
import com.diagbot.client.bean.SearchData;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;
import java.util.Map;

/**
 * @Description:调用中间层服务
 * @Author: Mark Huang
 * @time: 2019/03/25 19:15
 */
@Component
@Slf4j
public class AiptServiceHystrix implements AiptServiceClient {
    @Override
    public Response<ResponseData> aiptData(SearchData searchData) {
        log.error("【hystrix】调用{}异常", "aiptData");
        return null;
    }

    @Override
    public Response<Map<String, Object>> scale(@RequestBody SearchData searchData) {
        log.error("【hystrix】调用{}异常", "scale");
        return null;
    }

    @Override
    public Response<List<Map<String, Object>>> symptomFeaturePageData(@RequestParam("text") String text) {
        log.error("【hystrix】调用{}异常", "symptomFeaturePageData");
        return null;
    }

    @Override
    public Response<GdbResponse> highRisk(@RequestBody SearchData searchData) {
        log.error("【hystrix】调用{}异常", "highRisk");
        return null;
    }
}