package com.diagbot.enums;

import com.diagbot.core.KeyedNamed;
import lombok.Setter;

/**
 * @Description: 不良反应控件类型
 * @Author:zhaops
 * @time: 2019/3/14 11:16
 */
public enum  ARControlTypeEnum implements KeyedNamed {
    Radio(1, "单选"),
    CheckBox(0, "多选");

    @Setter
    private Integer key;

    @Setter
    private String name;

    ARControlTypeEnum(Integer key, String name) {
        this.key = key;
        this.name = name;
    }

    public static ARControlTypeEnum getEnum(Integer key) {
        for (ARControlTypeEnum item : ARControlTypeEnum.values()) {
            if (item.key == key) {
                return item;
            }
        }
        return null;
    }

    public static String getName(Integer key) {
        ARControlTypeEnum item = getEnum(key);
        return item != null ? item.name : null;
    }

    @Override
    public int getKey() {
        return key;
    }

    @Override
    public String getName() {
        return name;
    }
}
