package com.diagbot.enums;

import com.diagbot.core.KeyedNamed;
import lombok.Setter;

/**
 * @Description: 推送类型
 * @Author:zhaops
 * @time: 2019/3/14 11:28
 */
public enum FeatureTypeEnum implements KeyedNamed {
    Symptom(1, "症状"),
    Other(3, "其他史"),
    Vital(4, "查体"),
    Lis(5, "化验"),
    Pacs(6, "辅检"),
    Disease(7, "诊断"),
    Treat(8, "治疗"),
    Scale(21, "量表内容"),
    MedicalIndication(22, "指标"),
    ManagementEvaluation(11, "管理评估");

    @Setter
    private Integer key;

    @Setter
    private String name;

    FeatureTypeEnum(Integer key, String name) {
        this.key = key;
        this.name = name;
    }

    public static FeatureTypeEnum getEnum(Integer key) {
        for (FeatureTypeEnum item : FeatureTypeEnum.values()) {
            if (item.key == key) {
                return item;
            }
        }
        return null;
    }

    public static String getName(Integer key) {
        FeatureTypeEnum item = getEnum(key);
        return item != null ? item.name : null;
    }

    @Override
    public int getKey() {
        return key;
    }

    @Override
    public String getName() {
        return name;
    }
}
