package com.diagbot.enums;

import com.diagbot.core.KeyedNamed;
import lombok.Setter;

/**
 * 
 * @author zhoutg
 * @Description: 诊断类型
 * @date 2018年11月21日 下午2:31:42
 */
public enum ScaleTypeEnum implements KeyedNamed {
    TEXT(0, "文本"),
    PUSH(1, "推理");

    @Setter
    private Integer key;

    @Setter
    private String name;

    ScaleTypeEnum(Integer key, String name) {
        this.key = key;
        this.name = name;
    }

    public static ScaleTypeEnum getEnum(Integer key) {
        for (ScaleTypeEnum item : ScaleTypeEnum.values()) {
            if (item.key == key) {
                return item;
            }
        }
        return null;
    }

    public static String getName(Integer key) {
        ScaleTypeEnum item = getEnum(key);
        return item != null ? item.name : null;
    }

    @Override
    public int getKey() {
        return key;
    }

    @Override
    public String getName() {
        return name;
    }
}

