package com.diagbot.facade;

import java.util.List;
import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.diagbot.dto.EvaluationModuleMappingDTO;
import com.diagbot.entity.EvaluationModuleMapping;
import com.diagbot.enums.IsDeleteEnum;
import com.diagbot.service.impl.EvaluationModuleMappingServiceImpl;
import com.diagbot.util.BeanUtil;
import com.diagbot.vo.EvaluationDiseaseIdVO;

/**
 * 
 * @author wangfeng
 * 
 * @Description: TODO
 * @date 2019年3月11日 下午4:19:09
 */
@Component
public class EvaluationModuleMappingFacade extends EvaluationModuleMappingServiceImpl {

	/*@Autowired
	IndexConfigFacade indexConfigFacade;
	*/
	@Autowired
	PushFacade pushFacade;

	/**
	 * 获取管理与评估模板接口
	 *
	 * @param evaluationDiseaseIdVO
	 * @return
	 */
	public List<EvaluationModuleMappingDTO> getEvaluationModule(EvaluationDiseaseIdVO evaluationDiseaseIdVO) {
		//根据慢病id获取模板信息
		QueryWrapper<EvaluationModuleMapping> evaluationModuleQuery = new QueryWrapper<>();
		evaluationModuleQuery.eq("disease_id", evaluationDiseaseIdVO.getDiseaseId()).eq("is_deleted",
				IsDeleteEnum.N.getKey());

		List<EvaluationModuleMapping> datas = list(evaluationModuleQuery);
		// 过滤
		List<EvaluationModuleMappingDTO> data = BeanUtil.listCopyTo(datas, EvaluationModuleMappingDTO.class);
		//获取大数据知识图谱推送数据
		Map<String, JSONObject> jsonobject = pushFacade.getManagementEvaluationContent(evaluationDiseaseIdVO, null);
		for (String key : jsonobject.keySet()) {
			for (EvaluationModuleMappingDTO evaluadata : data) {
				if (key.equals(evaluadata.getRegionName())) {
					evaluadata.setData(jsonobject.get(key));

				}
			}

		}
		return data;
	}

	/**
	 * 获取管理与评估模板接口
	 *
	 * @param diseaseId
	 * @param contentMap
	 * @return
	 */
	public List<EvaluationModuleMappingDTO> getEvaluationModule(Long diseaseId, Map<String, JSONObject> contentMap) {
		//根据慢病id获取模板信息
		QueryWrapper<EvaluationModuleMapping> evaluationModuleQuery = new QueryWrapper<>();
		evaluationModuleQuery.eq("disease_id", diseaseId).eq("is_deleted",
				IsDeleteEnum.N.getKey());

		List<EvaluationModuleMapping> datas = list(evaluationModuleQuery);
		// 过滤
		List<EvaluationModuleMappingDTO> data = BeanUtil.listCopyTo(datas, EvaluationModuleMappingDTO.class);
		if (contentMap != null && contentMap.size() > 0) {
			for (String key : contentMap.keySet()) {
				for (EvaluationModuleMappingDTO evaluadata : data) {
					if (key.equals(evaluadata.getRegionName())) {
						evaluadata.setData(contentMap.get(key));
					}
				}
			}
		}
		return data;
	}
}
