package com.diagbot.facade;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.diagbot.dto.IndexConfigDTO;
import com.diagbot.entity.IndexConfig;
import com.diagbot.enums.IsDeleteEnum;
import com.diagbot.service.impl.IndexConfigServiceImpl;
import com.diagbot.util.BeanUtil;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @author wangfeng
 * @Description: TODO
 * @date 2019年3月11日 下午4:20:09
 */
@Component
public class IndexConfigFacade extends IndexConfigServiceImpl {

    /**
     * 根据疾病Id获取指标配置
     *
     * @param diseaseId 疾病标签id
     * @return
     */
    public List<IndexConfigDTO> getindexConfig(Long diseaseId) {
        QueryWrapper<IndexConfig> IndexConfigQuery = new QueryWrapper<>();
        if (null != diseaseId) {
            IndexConfigQuery.eq("disease_id", diseaseId);
        }

        IndexConfigQuery.eq("is_deleted", IsDeleteEnum.N.getKey());
        List<IndexConfig> datas = list(IndexConfigQuery);

        //过滤
        List<IndexConfigDTO> data = BeanUtil.listCopyTo(datas, IndexConfigDTO.class);
        return data;
    }


}
