package com.diagbot.facade;

import java.util.List;

import org.springframework.stereotype.Component;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.diagbot.entity.InquiryDrug;
import com.diagbot.service.impl.InquiryDrugServiceImpl;
import com.diagbot.util.ListUtil;

/**
 * @author rengb
 * @Description
 * @time 2019年3月12日下午2:08:08
 */
@Component
public class InquiryDrugFacade extends InquiryDrugServiceImpl {
	
    /**
     * 根据问诊记录id删除问诊记录处方用药明细
     *
     * @param inquiryId
     */
    public void removeByInquiryId(Long inquiryId) {
        QueryWrapper<InquiryDrug> queryWrapper = new QueryWrapper<InquiryDrug>();
        queryWrapper.eq("inquiry_id", inquiryId);
        this.remove(queryWrapper);
    }
    
    /**
     * 批量保存问诊记录处方用药明细
     *
     * @param inquiryDrugList
     */
    public void saveInquiryDrugs(List<InquiryDrug> inquiryDrugList) {
        if (ListUtil.isNotEmpty(inquiryDrugList)) {
           super.saveBatch(inquiryDrugList);
        }
    }
    
    /**
     * 根据问诊记录id获取问诊记录处方用药明细
     *
     * @param inquiryId
     */
    public List<InquiryDrug> getInquiryDrugs(Long inquiryId) {
        QueryWrapper<InquiryDrug> queryWrapper = new QueryWrapper<InquiryDrug>();
        queryWrapper.eq("inquiry_id", inquiryId);
        return this.list(queryWrapper);
    }
    
    
    

}
