package com.diagbot.facade;

import java.util.List;

import org.springframework.stereotype.Component;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.diagbot.entity.InquiryEvaluation;
import com.diagbot.service.impl.InquiryEvaluationServiceImpl;

/**
 * @author rengb
 * @Description
 * @time 2019年3月12日下午2:08:08
 */
@Component
public class InquiryEvaluationFacade extends InquiryEvaluationServiceImpl {
	
	/**
     * 根据问诊记录id删除问诊记录评估结果
     *
     * @param inquiryId
     */
    public void removeByInquiryId(Long inquiryId) {
        QueryWrapper<InquiryEvaluation> queryWrapper = new QueryWrapper<InquiryEvaluation>();
        queryWrapper.eq("inquiry_id", inquiryId);
        this.remove(queryWrapper);
    }
    
    /**
     * 根据问诊记录id获取评估结果
     *
     * @param inquiryId
     */
    public List<InquiryEvaluation> getEvaluationsByInquiryId(Long inquiryId) {
        QueryWrapper<InquiryEvaluation> queryWrapper = new QueryWrapper<InquiryEvaluation>();
        queryWrapper.eq("inquiry_id", inquiryId);
        return this.list(queryWrapper);
    }

}
