package com.diagbot.facade;

import java.util.List;

import org.springframework.stereotype.Component;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.diagbot.entity.InquiryScale;
import com.diagbot.service.impl.InquiryScaleServiceImpl;
import com.diagbot.util.ListUtil;

/**
 * @author rengb
 * @Description
 * @time 2019年3月12日下午2:08:08
 */
@Component
public class InquiryScaleFacade extends InquiryScaleServiceImpl {
	
	/**
     * 根据问诊记录id删除问诊记录评估结果量表明细
     *
     * @param inquiryId
     */
    public void removeByInquiryId(Long inquiryId) {
        QueryWrapper<InquiryScale> queryWrapper = new QueryWrapper<InquiryScale>();
        queryWrapper.eq("inquiry_id", inquiryId);
        this.remove(queryWrapper);
    }
    
    /**
     * 批量保存问诊记录评估结果量表明细
     *
     * @param inquiryScaleList
     */
    public void saveInquiryScales(List<InquiryScale> inquiryScaleList) {
        if (ListUtil.isNotEmpty(inquiryScaleList)) {
           super.saveBatch(inquiryScaleList);
        }
    }

}
