package com.diagbot.facade;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.diagbot.entity.IntroduceMap;
import com.diagbot.entity.QuestionInfo;
import com.diagbot.enums.IsDeleteEnum;
import com.diagbot.service.impl.IntroduceMapServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2018/11/16 9:28
 */
@Component
public class IntroduceMapFacade extends IntroduceMapServiceImpl {
    @Autowired
    QuestionFacade questionFacade;

    /**
     * 根据标签id和类型判断时候有关联静态知识
     *
     * @param questionId
     * @param type
     * @return
     */
    public Boolean hasIntroduceByQuestionId(Long questionId, Integer type) {
        QueryWrapper<IntroduceMap> introduceMapQueryWrapper = new QueryWrapper<>();
        introduceMapQueryWrapper.eq("is_deleted", IsDeleteEnum.N.getKey()).eq("question_id", questionId).eq("type", type);
        IntroduceMap introduceMap = this.getOne(introduceMapQueryWrapper);
        if (introduceMap == null) {
            return false;
        } else {
            return true;
        }
    }

    /**
     * 根据标签名称和类型判断时候有关联静态知识
     *
     * @param questionName
     * @param type
     * @return
     */
    public Boolean hasIntroduceByQuestionName(String questionName, Integer type) {
        QueryWrapper<QuestionInfo> questionInfoQueryWrapper = new QueryWrapper<>();
        questionInfoQueryWrapper.eq("is_deleted", IsDeleteEnum.N.getKey()).eq("tag_name", questionName).eq("type", type);
        QuestionInfo questionInfo = questionFacade.getOne(questionInfoQueryWrapper);
        if (questionInfo == null) {
            return false;
        } else {
            return hasIntroduceByQuestionId(questionInfo.getId(), type);
        }
    }
}