package com.diagbot.vo;

import java.util.Date;

import javax.validation.constraints.NotNull;

import org.springframework.format.annotation.DateTimeFormat;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description:
 * @author: rengb
 * @time: 2019/3/19 13:56
 */
@Getter
@Setter
public class HisInquirysForDjVO {
	
	/**
     * 医院id
     */
	@ApiModelProperty(value="医院id",required=true)
	@NotNull(message="医院id必传")
    private Long hospitalId;

    /**
     * 科室id
     */
	@ApiModelProperty(value="科室id")
	//@NotNull(message="科室id必传")
    private Long hospitalDeptId;

    /**
     * 医生id
     */
	@ApiModelProperty(value="医生id")
	//@NotNull(message="医生id必传")
    private Long doctorId;

    /**
     * 患者id
     */
	@ApiModelProperty(value="患者id",required=true)
	@NotNull(message="患者id必传")
    private Long patientId;
	
	/**
     * 就诊序列号
     */
	@ApiModelProperty(value="就诊序列号")
    private String inquiryCode;
    
    /**
     * 病历分类(1:门诊,2:住院)
     */
	@ApiModelProperty(value="病历分类(1:门诊,2:住院)")
    private Integer type;
    
    /**
     * 内容输入类型：0：结构化 1：文本模式
     */
	@ApiModelProperty(value="内容输入类型：0：结构化 1：文本模式")
    private Integer sign;
    
	/**
	 * 开始时间
	 */
	@ApiModelProperty(value="开始时间，格式为：2018-11-28 17:25:30")
	@DateTimeFormat(pattern="yyyy-MM-dd hh:mm:ss")
	private Date startDate;
	
	/**
	 * 结束时间
	 */
	@ApiModelProperty(value="结束时间，格式为：2018-11-28 17:25:30")
	@DateTimeFormat(pattern="yyyy-MM-dd hh:mm:ss")
	private Date endDate;
	
	/**
	 * 排序类型：1、时间降序；2、时间升序； 
	 */
	@ApiModelProperty(value="排序类型：1、时间降序；2、时间升序；")
	private Integer orderType=1;
	   
}
