package com.diagbot.vo;

import com.diagbot.client.bean.AdverseReaction;
import com.diagbot.client.bean.IndicationResult;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2018/11/20 13:38
 */
@Getter
@Setter
public class PushVO {
    @NotNull(message = "请输入年龄")
    private Integer age;
    @NotNull(message = "请输入性别")
    private Integer sex;
    @NotBlank(message = "请输入推送类型")
    private String featureType;
    private String symptom;
    private String diag;
    private String vital;
    private List<LisResultVO> lis;
    private String pacs;
    private String past;
    private String other;
    private Long diseaseId;
    private Long patientId;   //病人id
    private String scaleName; //量表名称
    private Long scaleId;     //量表id
    private Integer disType;  //0-普通病（默认不填），1-慢病，2-急诊
    private List<AdverseReaction> adverseReactions; //不良反应
    private List<IndicationResult> medicalIndications;   //推理指标
}