package com.diagbot.web;


import com.diagbot.dto.DisScaleDTO;
import com.diagbot.dto.RespDTO;
import com.diagbot.entity.ScaleContent;
import com.diagbot.facade.DisScaleFacade;
import com.diagbot.facade.ScaleContentFacade;
import com.diagbot.vo.DisScaleVO;
import com.diagbot.vo.PushVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import springfox.documentation.annotations.ApiIgnore;

import java.util.List;

/**
 * <p>
 * 诊断量表映射表 前端控制器
 * </p>
 *
 * @author zhoutg
 * @since 2019-03-11
 */
@RestController
@RequestMapping("/scale")
@Api(value = "诊断量表API", tags = { "2期-诊断量表API" })
@SuppressWarnings("unchecked")
public class DisScaleController {

    @Autowired
    DisScaleFacade disScaleFacade;

    @Autowired
    ScaleContentFacade scaleContentFacade;

    @ApiOperation(value = "2期-返回诊断量表列表[by:zhoutg]",
            notes = "")
    @PostMapping("/getList")
    public RespDTO<List<DisScaleDTO>> getList(@RequestBody DisScaleVO scaleVO) {
        List<DisScaleDTO> data = disScaleFacade.getDisScaleFac(scaleVO.getDisId());
        return RespDTO.onSuc(data);
    }


    @ApiOperation(value = "2期-获取量表内容[by:zhoutg]",notes = "")
    @PostMapping("/getContent")
    @ApiIgnore
    public RespDTO<List<ScaleContent>> getContent(@RequestBody PushVO pushVO) {
        List<ScaleContent> data = scaleContentFacade.getContent(pushVO);
        return RespDTO.onSuc(data);
    }
}
