package com.diagbot.web;

import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.EvaluationModuleMappingDTO;
import com.diagbot.dto.RespDTO;
import com.diagbot.facade.EvaluationModuleMappingFacade;
import com.diagbot.vo.EvaluationDiseaseIdVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.validation.Valid;
import java.util.List;

/**
 * <p>
 * 管理与评估模板表 前端控制器
 * </p>
 *
 * @author wangfeng
 * @since 2019-03-11
 */
@RestController
@RequestMapping("/evaluationModuleMapping")
@Api(value = "管理与评估模板API[by:wangfeng]", tags = { "WF-2期-管理与评估模板API" })
@SuppressWarnings("unchecked")
public class EvaluationModuleMappingController {

    @Autowired
    EvaluationModuleMappingFacade evaluationModuleMappingFacade;

    @ApiOperation(value = "2期-获取管理与评估模板[by:wangfeng]", notes = "获取管理与评估模板")
    @PostMapping("/getEvaluationModules")
    @SysLogger("getEvaluationModules")
    public RespDTO<List<EvaluationModuleMappingDTO>> getEvaluationModules(@Valid @RequestBody EvaluationDiseaseIdVO evaluationDiseaseIdVO) {

        List<EvaluationModuleMappingDTO> data = evaluationModuleMappingFacade.getEvaluationModule(evaluationDiseaseIdVO);

        return RespDTO.onSuc(data);
    }

}
