package com.diagbot.web;


import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.IndexConfigDTO;
import com.diagbot.dto.RespDTO;
import com.diagbot.facade.IndexConfigFacade;
import com.diagbot.vo.IndexConfigDiseaseIdVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * <p>
 * 前端控制器
 * </p>
 *
 * @author wangfeng
 * @since 2019-03-11
 */
@RestController
@RequestMapping("/indexConfig")
@Api(value = "指标配置API[by:wangfeng]", tags = { "WF-2期-指标配置API" })
@SuppressWarnings("unchecked")
public class IndexConfigController {

    @Autowired
    IndexConfigFacade indexConfigFacade;

    @ApiOperation(value = "2期-根据疾病Id获取指标配置[by:wangfeng]", notes = "根据疾病Id获取指标配置")
    @PostMapping("/getindexConfigs")
    @SysLogger("getindexConfigs")
    public RespDTO<List<IndexConfigDTO>> getindexConfigs(@RequestBody IndexConfigDiseaseIdVO indexConfigDiseaseIdVO) {

        List<IndexConfigDTO> data = indexConfigFacade.getindexConfig(indexConfigDiseaseIdVO.getDiseaseId());

        return RespDTO.onSuc(data);
    }
}
