package com.diagbot.web;

import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.RespDTO;
import com.diagbot.dto.TreatmentDTO;
import com.diagbot.facade.TreatmentFacade;
import com.diagbot.vo.TreatmentVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import springfox.documentation.annotations.ApiIgnore;

import javax.validation.Valid;

/**
 * @Description:治疗方案相关接口
 * @Author:zhaops
 * @time: 2018/12/17 11:42
 */
@RestController
@RequestMapping("/treatment")
@Api(value = "治疗方案相关API", tags = { "治疗方案相关API" })
@SuppressWarnings("unchecked")
public class TreatmentController {
    @Autowired
    TreatmentFacade treatmentFacade;

    @ApiOperation(value = "治疗方案[by:zhaops]",
            notes = "symptom：症状<br>" +
                    "other：其它史<br>" +
                    "vital：查体<br>" +
                    "lis：化验<br>" +
                    "pacs：辅检<br>" +
                    "dis：诊断<br>")
    @PostMapping("/getTreatment")
    @SysLogger("getTreatment")
    @ApiIgnore
    public RespDTO<TreatmentDTO> getTreatment(@RequestBody @Valid TreatmentVO treatmentVO) {
        //TreatmentDTO data = treatmentFacade.getTreatment(treatmentVO);
        return RespDTO.onSuc(null);
    }
}
