package com.diagbot.enums;

import com.diagbot.core.KeyedNamed;
import lombok.Setter;

/**
 * @Description: 
 * @Author: wangyu
 * @Date: 13:41 2019/3/28
 */
public enum QuestionUsualTypeEnum implements KeyedNamed {
    Symptom(1, "症状"),
    Lis(5, "化验"),
    Pacs(6, "辅检");

    @Setter
    private Integer key;

    @Setter
    private String name;

    QuestionUsualTypeEnum(Integer key, String name) {
        this.key = key;
        this.name = name;
    }

    public static QuestionUsualTypeEnum getEnum(Integer key) {
        for (QuestionUsualTypeEnum item : QuestionUsualTypeEnum.values()) {
            if (item.key == key) {
                return item;
            }
        }
        return null;
    }

    public static String getName(Integer key) {
        QuestionUsualTypeEnum item = getEnum(key);
        return item != null ? item.name : null;
    }

    @Override
    public int getKey() {
        return key;
    }

    @Override
    public String getName() {
        return name;
    }
}