package com.diagbot.facade;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.diagbot.entity.ModuleDeptMapping;
import com.diagbot.enums.IsDeleteEnum;
import com.diagbot.service.impl.ModuleDeptMappingServiceImpl;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @Description:
 * @author: wangyu
 * @time: 2019/3/15 9:27
 */
@Component
public class ModuleDeptMappingFacade extends ModuleDeptMappingServiceImpl {

    /**
     * 根据科室id获取模板id
     *
     * @param deptId
     * @return
     */
    public List<ModuleDeptMapping> getModuleIdByDept(Long deptId){
        QueryWrapper<ModuleDeptMapping> moduleDeptMappingQueryWrapper = new QueryWrapper();
        moduleDeptMappingQueryWrapper.eq("is_deleted", IsDeleteEnum.N.getKey())
                .eq("dept_id", deptId);
        return this.list(moduleDeptMappingQueryWrapper);
    }

    public ModuleDeptMapping geModuleDeptInfo(Long deptId,Long moduleId){
        QueryWrapper<ModuleDeptMapping> moduleDeptMappingQueryWrapper = new QueryWrapper<>();
        moduleDeptMappingQueryWrapper.eq("is_deleted",IsDeleteEnum.N.getKey())
                .eq("dept_id",deptId)
                .eq("module_id",moduleId);
        return this.getOne(moduleDeptMappingQueryWrapper);
    }
}
