package com.diagbot.facade;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.diagbot.entity.ModuleDiseaseMapping;
import com.diagbot.enums.IsDeleteEnum;
import com.diagbot.service.impl.ModuleDiseaseMappingServiceImpl;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @Description:
 * @author: wangyu
 * @time: 2019/3/15 14:20
 */
@Component
public class ModuleDiseaseMappingFacade extends ModuleDiseaseMappingServiceImpl {

    /**
     * 根据疾病id获取模板id
     *
     * @param diseaseId
     * @return
     */
    public List<ModuleDiseaseMapping> getModuleIdByDisease(Long diseaseId){
        QueryWrapper<ModuleDiseaseMapping> moduleDiseaseMappingQueryWrapper = new QueryWrapper();
        moduleDiseaseMappingQueryWrapper.eq("is_deleted", IsDeleteEnum.N.getKey())
                .eq("dis_id", diseaseId);
        return this.list(moduleDiseaseMappingQueryWrapper);
    }

    public ModuleDiseaseMapping geModuleDiseaseInfo(Long disId, Long moduleId){
        QueryWrapper<ModuleDiseaseMapping> moduleDiseaseMappingQueryWrapper = new QueryWrapper<>();
        moduleDiseaseMappingQueryWrapper.eq("is_deleted",IsDeleteEnum.N.getKey())
                .eq("dis_id",disId)
                .eq("module_id",moduleId);
        return this.getOne(moduleDiseaseMappingQueryWrapper);
    }
}
