package com.diagbot.web;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.QuestionPageDTO;
import com.diagbot.dto.RespDTO;
import com.diagbot.facade.ScaleContentFacade;
import com.diagbot.vo.QuestionPageVO;
import com.diagbot.vo.ScaleContentSaveVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 量表内容表 前端控制器
 * </p>
 *
 * @author zhoutg
 * @since 2019-04-08
 */
@RestController
@RequestMapping("/scaleContent")
@Api(value = "2期-量表内容相关API", tags = { "2期-量表内容相关API" })
public class ScaleContentController {

    @Autowired
    ScaleContentFacade scaleContentFacade;

    @ApiOperation(value = "2期-量表内容新增或更新[by:zhoutg]")
    @PostMapping("/insertOrUpdate")
    @SysLogger("insertOrUpdate")
    @Transactional
    public RespDTO<Boolean> insertOrUpdate(@RequestBody ScaleContentSaveVO scaleContentSaveVO) {
        scaleContentFacade.insertOrUpdate(scaleContentSaveVO);
        return RespDTO.onSuc(true);
    }


    @ApiOperation(value = "2期-量表列表[by:zhoutg]",
            notes = "")
    @PostMapping("/list")
    @SysLogger("list")
    public RespDTO<IPage<QuestionPageDTO>> list(@RequestBody QuestionPageVO questionPageVO) {
        IPage<QuestionPageDTO> data = scaleContentFacade.getListFac(questionPageVO);
        return RespDTO.onSuc(data);
    }
}
