package com.diagbot.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * @author Weixuan Huang
 * @since 2019-03-18
 */
@Getter
@Setter
public class LibraryDetailDTO {

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    private char isDeleted;

    /**
     * 记录创建时间
     */
    private String gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    private String gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    private String modifier;

    /**
     * 概念名称
     */
    private String name;

    /**
     * 概念类型
     */
    private String type;

    /**
     * 提示概念id
     */
    private Long conceptId;

    /**
     * 静态知识来源
     */
    private String source;

    /**
     * 提示明细标题
     */
    private String title;

    /**
     * 提示明细内容
     */
    private String content;

    /**
     * 纯文本
     */
    private String text;

    /**
     * 提示明细序号
     */
    private Integer orderNo;

    /**
     * 显示位置（多选）：1-推送展示，2-更多展示，3-一般治疗展示，4-手术治疗展示，5-药品说明书
     */
    private String position;

    /**
     * 是否诊断依据（1-是，0-否）
     */
    private Integer isReason;

}
