package com.diagbot.dto;

import lombok.Getter;
import lombok.Setter;

/**
 * @Description:
 * @author: Weixuan Huang
 * @time: 2019/1/14 17:03
 */
@Getter
@Setter
public class MedicalDTO {
    /**
     * 主键
     */
    private Integer id;

    /**
     * 术语概念id
     */
    private Integer conceptId;

    /**
     * 名称
     */
    private String name;

    /**
     * 同义词
     */
    private String synonymous;

    /**
     * 术语类型编号，对应类型库
     */
//    private Integer typeId;

    /**
     * 术语类型
     */
//    private String type;

    /**
     * 术语标准名
     */
    private String stdName;

    /**
     * 术语小类名称
     */
    private String cateName;

    /**
     * 术语类组
     */
    private String grp;

    /**
     * 效用名称
     */
    private String function;

    /**
     * 性别：1:男, 2:女, 3:通用
     */
    private String gender;

    /**
     * 症状发生的最小年龄
     */
    private Integer minAge;

    /**
     * 症状发生的最大年龄
     */
    private Integer maxAge;

    /**
     * 一级部位
     */
    private String bodypart;

    /**
     * 二级部位
     */
    private String subBodypart;

    /**
     * 显示顺序
     */
    private String displayOrder;

    /**
     * 科室
     */
    private String dept;

    /**
     * 术语身份编码
     */
    private String code;

    /**
     * 备注
     */
    private String note;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    private String isDeleted;

}
