package com.diagbot.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.diagbot.dto.LibraryInfoDTO;
import com.diagbot.entity.Concept;
import com.diagbot.entity.LibraryInfo;
import com.diagbot.vo.ConceptVo;
import com.diagbot.vo.TermVo;

import java.util.List;

/**
 * <p>
 * 提示信息 Mapper 接口
 * </p>
 *
 * @author Weixuan Huang
 * @since 2019-01-30
 */
public interface LibraryInfoMapper extends BaseMapper<LibraryInfo> {
    /**
     * 获取所有术语基本信息
     *
     * @param conceptVo
     * @return IPage<LibraryInfoDTO>
     */
    public IPage<LibraryInfoDTO> getAllInfor(ConceptVo conceptVo);

    /**
     * 获取所有术语信息
     *
     * @param conceptVo
     * @return IPage<LibraryInfoDTO>
     */
    public IPage<LibraryInfoDTO> getAllConcept(ConceptVo conceptVo);

    /**
     * 获取所有没有实体关联的静态信息
     *
     * @result List<LibraryInfo>
     *
     */
    public List<LibraryInfo> getLimboItems();
}
