package com.diagbot.vo;

import com.diagbot.dto.RelationDTO;
import com.diagbot.entity.LibraryDetail;
import com.diagbot.entity.LibraryInfo;
import com.diagbot.entity.Medical;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;
import java.time.LocalDateTime;
import java.util.List;

/**
 * @Description:
 * @author: Weixuan Huang
 * @time: 2019/1/14 17:03
 */
@Getter
@Setter
public class AmendTermVo {
    @NotNull(message="请输入现有的医学术语")
    private String oldterm;

    @NotNull(message="请输入现有的医学术语类型")
    private String oldtype;

    @NotNull(message="请输入新的医学术语")
    private String newterm;

    @NotNull(message="请输入新的医学术语类型")
    private String newtype;

    @NotNull(message="请输入医学概念名称")
    private String concept;

    private int concept_id;
    /**
     * 术语基本信息
     */
    private List<LibraryInfo> libraryInfo;

    /**
     * 术语相关医学知识
     */
    private List<LibraryDetail> information;

    /**
     * 医学临床信息
     */
    private List<Medical> medicalInfo;

    /**
     * 术语关系信息
     */
    private List<RelationDTO> relations;
}
