package com.diagbot.client;

import java.util.List;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import com.diagbot.client.hystrix.InquiryInfoServiceHystrix;
import com.diagbot.dto.HisInquirysForDjDTO;
import com.diagbot.dto.RespDTO;
import com.diagbot.vo.HisInquirysForDjVO;


/**
 * @Description: 调用问诊服务
 * @author: rengb
 * @time: 2019/3/19 9:52
 */
@FeignClient(value = "icss-service", fallback = InquiryInfoServiceHystrix.class)
public interface InquiryInfoServiceClient {

	
	/**
     * 对接-历史病历列表
     *
     * @param hisInquirysForDjVO
     * @return
     */
    @PostMapping("/inquiryInfo/hisInquirysForDj")
    RespDTO<List<HisInquirysForDjDTO>> hisInquirysForDj(@RequestBody HisInquirysForDjVO hisInquirysForDjVO);

}



